import $ from "https://deno.land/x/dax@0.7.1/mod.ts";

import { expandGlob } from "https://deno.land/std@0.148.0/fs/mod.ts";
import { relative, parse, resolve } from "https://deno.land/std@0.148.0/path/mod.ts";

for await (const file of expandGlob("*.wav")){
    const from = relative(Deno.cwd(),file.path);
    const parsed = parse(from);
    const to = resolve(parsed.dir,parsed.name+".flac")
    console.log(from, to);
    await $`ffmpeg -i ${from} ${to}`
}